Name:           aterm
Version:        0.4.2
Release:        0.fdr.5.1
Epoch:          0
Summary:        Aterm (Afterstep XVT) - a VT102 emulator for the X window system
Group:          User Interface/X
License:        GPL
URL:            http://aterm.sourceforge.net
Source0:        http://dl.sf.net/aterm/%{name}-%{version}.tar.gz
Source1:        aterm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  XFree86-devel
BuildRequires:  desktop-file-utils

%description
aterm,  version  0.4.2,  is  a colour vt102 terminal emulator, based on
rxvt 2.4.8  with  Alfredo  Kojima´s  additions  of  fast  transparency,
intended  as  an xterm(1) replacement for users who do not require fea-
tures such as Tektronix 4014 emulation and toolkit-style  configurabil-
ity.   As  a  result,  aterm uses much less swap space -- a significant
advantage on a machine serving many X sessions.

It was created with AfterStep Window Manger users in mind, but  is  not
tied to any libraries, and can be used anywhere.


%prep
%setup -q


%build
%configure --enable-utmp \
           --enable-wtmp \
			  --enable-background-image \
			  --enable-transparency \
			  --enable-fading \
			  --enable-menubar \
			  --enable-graphics \
			  --enable-next-scroll \
			  --enable-xgetdefault \
			  --with-term=xterm \
			  --with-x \
			  --with-xpm
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog doc/BUGS doc/FAQ doc/README.menu doc/README.Unix98PTY 
%doc doc/README.xvt doc/TODO doc/ChangeLog.rxvt
%doc doc/menu/*
%doc doc/*.html
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*


%changelog
* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.5
- changed Source0
- changed configure options ( both noticed by Adrian Reber )
* Sun Jun 22 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.4
- removed Merged from aterm.desktop see bug #391 for details
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.3
- added more documentation ( inspired by rxvt change noticed by Adrian Reber )
* Sat Jun 21 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.4.2-0.fdr.2
- switched back to makeinstall
- added menu entry
- removed -n from setup
* Fri Jun 20 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
- Initial RPM release.
